Bug 469538 - Slow movie playback on XO
Slow movie playback on XO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-11-02 01:06 EST by Luya Tshimbalanga
Modified: 2010-06-28 06:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2008-11-02 01:06:17 EST
Description of problem:
Totem currently playbacks videos in skipped animation even in low quality format.

Version-Release number of selected component (if applicable):
2.24.2

How reproducible:
Always

Steps to Reproduce:
1. Play any video files (ogg in the test)
2.
3.
  
Actual results:
Skipped playback

Expected results:
Playback should be smooth

Additional info:
Comment 1 Bastien Nocera 2008-11-02 10:30:26 EST
What's the output of xvinfo on this system? Does it happen with other movie players (such as the xine backend of totem)?
Comment 2 Luya Tshimbalanga 2008-11-03 05:18:11 EST
(In reply to comment #1)
> What's the output of xvinfo on this system? Does it happen with other movie
> players (such as the xine backend of totem)?

I haven't installed other movie player given that I am testing F10 snapshot 3 on XO laptop. Perhaps checking olpc version will be good because movie runs without problem. Here is xvinfo: 

$ xvinfo
X-Video Extension version 2.2
screen #0
  Adaptor #0: "AMD Geode LX"
    number of ports: 1
    port base: 56
    operations supported: PutImage 
    supported visuals:
      depth 16, visualID 0x21
    number of attributes: 3
      "XV_COLORKEY" (range 0 to 16777215)
              client settable attribute
              client gettable attribute (current value is 66051)
      "XV_FILTER" (range 0 to 1)
              client settable attribute
              client gettable attribute (current value is 0)
      "XV_COLORKEYMODE" (range 0 to 1)
              client settable attribute
              client gettable attribute (current value is 0)
    maximum XvImage size: 1024 x 1024
    Number of image formats: 8
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x55593259 (Y2YU)
        guid: 59325955-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x55595659 (YVYU)
        guid: 59565955-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x30303859 (Y800)
        guid: 59383030-0000-0010-8000-00aa00389b71
        bits per pixel: 8
        number of planes: 1
        type: YUV (packed)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x36315652 (RV16)
        guid: 52563136-0000-0000-0000-000000000000
        bits per pixel: 16
        number of planes: 1
        type: RGB (packed)
        depth: 16
        red, green, blue masks: 0xf800, 0x7e0, 0x1f
Comment 3 Bastien Nocera 2008-11-03 08:16:35 EST
Could you please test with another movie player such as the xine backend of totem?

Could you also please test whether using:
gst-launch-0.10 playbin uri=file:///path/to/movie.ogg
Comment 4 Luya Tshimbalanga 2008-11-04 17:40:12 EST
Result with gst-launch-0.10:

$ gst-launch-0.10 playbin uri=110-fifth-gear-bugatti-veyron-handling-test.ogv 
Setting pipeline to PAUSED ...
ERROR: Pipeline doesn't want to pause.
ERROR: from element /GstPlayBin:playbin0: Invalid URI "110-fifth-gear-bugatti-veyron-handling-test.ogv".
Additional debug info:
gstplaybasebin.c(1648): gen_source_element (): /GstPlayBin:playbin0
Setting pipeline to NULL ...
FREEING pipeline ...

I switched totem backend to xine,  same choppy display
Comment 5 Bastien Nocera 2008-11-04 19:23:52 EST
(In reply to comment #4)
> Result with gst-launch-0.10:
> 
> $ gst-launch-0.10 playbin uri=110-fifth-gear-bugatti-veyron-handling-test.ogv 
<snip>
> ERROR: from element /GstPlayBin:playbin0: Invalid URI
> "110-fifth-gear-bugatti-veyron-handling-test.ogv".

There's an error message there, you need to pass a URI, not a local relative filename.
Comment 6 Luya Tshimbalanga 2008-11-04 21:31:02 EST
(In reply to comment #5)
> (In reply to comment #4)
> > Result with gst-launch-0.10:
> > 
> > $ gst-launch-0.10 playbin uri=110-fifth-gear-bugatti-veyron-handling-test.ogv 
> <snip>
> > ERROR: from element /GstPlayBin:playbin0: Invalid URI
> > "110-fifth-gear-bugatti-veyron-handling-test.ogv".
> 
> There's an error message there, you need to pass a URI, not a local relative
> filename.

here:


$ gst-launch-0.10 playbin uri=file:///media/KINGSTON/110-fifth-gear-bugatti-veyron-handling-test.ogv 
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
OIL: ERROR liboiltest.c 361: oil_test_check_impl(): illegal instruction in mmxCombineAddU
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstAudioSinkClock
Got EOS from element "playbin0".
Execution ended after 454603596003 ns.
Setting pipeline to PAUSED ...
Setting pipeline to READY ...
Setting pipeline to NULL ...
FREEING pipeline ...
Comment 7 Luya Tshimbalanga 2008-11-17 16:18:21 EST
Sightly better with F10Preview but choppy display and sound lag are still present.
Comment 8 Bug Zapper 2008-11-25 23:38:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bastien Nocera 2009-04-28 12:01:49 EDT
I'm afraid you'll need to do homework on this yourself. I believe that the CPU on the XO is missing a number of SIMD extensions that could make playback slow.

Best bet is to use sysprof with debuginfo packages installed to see which part of the decoding process is taking so much time.

You might also want to try and disable audio (by removing the audio module) in the playback, to see whether it might be an audio sync problem instead of a video problem.
Comment 10 Bug Zapper 2009-11-18 03:44:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Luya Tshimbalanga 2009-11-18 04:58:45 EST
(In reply to comment #9)
> I'm afraid you'll need to do homework on this yourself. I believe that the CPU
> on the XO is missing a number of SIMD extensions that could make playback slow.
> 
> Best bet is to use sysprof with debuginfo packages installed to see which part
> of the decoding process is taking so much time.
> 
> You might also want to try and disable audio (by removing the audio module) in
> the playback, to see whether it might be an audio sync problem instead of a
> video problem.  

Resuming diagnosic. The XO is running Fedora Remix OS8 based on Leonidas. On good side, there is no sowndown, on the bad,  totem crashed with this result:


[olpc@localhost KINGSTON]$ gst-launch-0.10 playbin uri=file:///media/KINGSTON/returnoftheking_nl480_dl.ogv 
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
X Error of failed request:  BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  131 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  147
  Current serial number in output stream:  148

Apparently the bug is now on XVideo.
Comment 12 Bug Zapper 2010-04-27 08:18:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 06:47:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.